<?php
header('Content-Type: application/json');
require '../model/GetRequestAPIModel.php'; // Adjust the path as needed

$customerId = isset($_POST['customerId']) ? $_POST['customerId'] : null;
$quotation_no = isset($_POST['quoteNo']) ? $_POST['quoteNo'] : null;
$styleNo = isset($_POST['styleNo']) ? $_POST['styleNo'] : null;
$styleLineNo = isset($_POST['styleLineNo']) ? $_POST['styleLineNo'] : 0;
$salesPrice = isset($_POST['salesPrice']) ? $_POST['salesPrice'] : null;
$applyToAll = isset($_POST['applyToAll']) ? $_POST['applyToAll'] : null;
$uplift = isset($_POST['uplift']) ? $_POST['uplift'] : null;
$artworkCode = isset($_POST['artworkCode']) ? $_POST['artworkCode'] : null;
$artworkPositionCode = isset($_POST['artworkPositionCode']) ? $_POST['artworkPositionCode'] : null;
$artoworkPrice = isset($_POST['artoworkPrice']) ? $_POST['artoworkPrice'] : null;
$artworkLine = isset($_POST['artworkLine']) ? $_POST['artworkLine'] : null;
$artworkCopyLine = isset($_POST['artworkCopyLine']) ? $_POST['artworkCopyLine'] : null;
$artworkToLine = isset($_POST['artworkToLine']) ? $_POST['artworkToLine'] : null;
$variationPrice = isset($_POST['variationPrice']) ? $_POST['variationPrice'] : null;


// Define a mapping of safe identifiers to actual URLs
$urlMap = [
    'fetchCustomers' => 'http://adentrn.worksafeonline.co.uk/api/QuotationCustomerList',
    'fetchCustomersDetails' => "http://adentrn.worksafeonline.co.uk/api/QuotationCustomerDetail?Customer=$customerId&Address=",
    'fetchStatus' => 'http://adentrn.worksafeonline.co.uk/api/QuotationStatus',
    'fetchSentBy' => 'http://adentrn.worksafeonline.co.uk/api/QuotationSentBy',
    'fetchQuotationNumber' => 'http://adentrn.worksafeonline.co.uk/api/NewQuotationNo',
    'fetchStyleList' => "http://adentrn.worksafeonline.co.uk/api/QuotationStyleList?Customer=$customerId&Address=&QuoteNo=$quotation_no",
    'fetchStyleDetails' => "http://adentrn.worksafeonline.co.uk/api/QuotationStyleDetail?quoteNo=$quotation_no&customer=$customerId&addr=&style=$styleNo&Line=$styleLineNo",
    'fetchAlreadyExists' => "http://adentrn.worksafeonline.co.uk/api/QuotationStyleExist?quoteNo=$quotation_no&style=$styleNo",
    'fetchAddStyleItems' => "http://adentrn.worksafeonline.co.uk/api/AddQuotationStyle?quoteNo=$quotation_no&style=$styleNo&salesp=$salesPrice&all=$applyToAll&uplift=$uplift&customer=$customerId&addr=&line=0",
    'fetchContract' => "http://adentrn.worksafeonline.co.uk/api/QuotationContactList?quoteNo=$quotation_no&customer=$customerId&addr=",
    'fetchArtwork' => "http://adentrn.worksafeonline.co.uk/api/QuotationArtworkList?quoteNo=$quotation_no&customer=$customerId&address=&style=$styleNo&line=",
    'fetchArtworkPosition' => "http://adentrn.worksafeonline.co.uk/api/QuotationArtworkPosition?quoteNo=$quotation_no&artcode=$artworkCode",
    'fetchAddNewArtwork' => "http://adentrn.worksafeonline.co.uk/api/QuotationAddArtwork?quoteNo=$quotation_no&line=$artworkLine&artwork=$artworkCode&position=$artworkPositionCode&price=$artoworkPrice",
    'fetchArtworkItemsList' => "http://adentrn.worksafeonline.co.uk/api/QuotationArtworkLine?quoteNo=$quotation_no&line=$artworkLine",
    'fetchArtworkCopyLines' => "http://adentrn.worksafeonline.co.uk/api/ArtworkCopyLines?quoteNo=$quotation_no&line=$artworkLine&style=$styleNo",
    'fetchSaveArtworkCopiedLine' => "http://adentrn.worksafeonline.co.uk/api/ArtworkCopyToLine?quoteNo=$quotation_no&copyLine=0&toLine=0",
    'fetchRefreshStyleList' => "http://adentrn.worksafeonline.co.uk/api/QuotationStyleLine?quoteNo=$quotation_no",
    'fetchPriceChanged' => "http://adentrn.worksafeonline.co.uk/api/QuotationPriceChange?quoteNo=$quotation_no&customer=$customerId&addr=&style=$styleNo&Line=0&price=$variationPrice",
    'fetchOtherData' => 'http://adentrn.worksafeonline.co.uk/api/OtherDataEndpoint',
    'fetchOtherData' => 'http://adentrn.worksafeonline.co.uk/api/OtherDataEndpoint',
    'fetchOtherData' => 'http://adentrn.worksafeonline.co.uk/api/OtherDataEndpoint',
    'fetchOtherData' => 'http://adentrn.worksafeonline.co.uk/api/OtherDataEndpoint',
    'fetchOtherData' => 'http://adentrn.worksafeonline.co.uk/api/OtherDataEndpoint'
];

// Get the identifier from the POST request
$identifier = isset($_POST['identifier']) ? $_POST['identifier'] : null;

if ($identifier && isset($urlMap[$identifier])) {
    $url = $urlMap[$identifier];

    try {
        $api = new GetRequestAPIModel(
            "http://adentrn.worksafeonline.co.uk/api/Token",
            [
                'username' => 'support.sss', // Replace with actual username
                'password' => 'simplesoft21'  // Replace with actual password
            ]
        );

        $data = $api->fetchData($url);

        echo json_encode(['success' => true, 'data' => $data]);
    } catch (Exception $e) {
        echo json_encode(['success' => false, 'message' => $e->getMessage()]);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'Invalid identifier provided.']);
}
?>
