	<?php
// Function to get the Bearer Token
function getBearerToken($url, $credentials) {
    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($credentials));
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Content-Type: application/x-www-form-urlencoded'
    ]);

    $response = curl_exec($ch);
    curl_close($ch);

    $data = json_decode($response, true);
    if (isset($data['token'])) {
        return $data['token'];
    } else {
        throw new Exception("Unable to get token. Response: " . $response);
    }
}

// Define the URL and credentials for the token request
$tokenUrl = "http://adentrn.worksafeonline.co.uk/api/Token";
$credentials = [
    'username' => 'support.sss', // Replace with actual username
    'password' => 'simplesoft21'  // Replace with actual password
];

try {
    // Get the Bearer Token
    $token = getBearerToken($tokenUrl, $credentials);

    // Your variables
    $quoteNo = 101086; // Changed to integer, as expected by API
    $style = "PS100";
    $salesp = 90; // Changed to integer, as expected by API
    $all = 0; // Changed to integer
    $uplift = 0; // Changed to integer
    $customer = "WSD01";
    $addr = "";
    $line = 1; // Changed to integer

    // Construct the URL with the query parameters
    $saveUrl = "http://adentrn.worksafeonline.co.uk/api/AddQuotationStyle?" .
               "quoteNo=" . urlencode($quoteNo) .
               "&style=" . urlencode($style) .
               "&salesp=" . urlencode($salesp) .
               "&all=" . urlencode($all) .
               "&uplift=" . urlencode($uplift) .
               "&customer=" . urlencode($customer) .
               "&addr=" . urlencode($addr) .
               "&line=" . urlencode($line);

    // Initialize cURL
    $ch = curl_init();

    // Set the URL and options for GET request
    curl_setopt($ch, CURLOPT_URL, $saveUrl);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Authorization: Bearer ' . $token
    ]);

    // Execute the request
    $response = curl_exec($ch);

    // Check for errors
    if (curl_errno($ch)) {
        throw new Exception(curl_error($ch));
    }

    // Close cURL
    curl_close($ch);

    // Display the response
    echo $response;

} catch (Exception $e) {
    die(json_encode(["error" => $e->getMessage()]));
}
?>