<?php


// Function to get the Bearer Token
function getBearerToken($url, $credentials) {
    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($credentials));
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Content-Type: application/x-www-form-urlencoded'
    ]);

    $response = curl_exec($ch);
    curl_close($ch);

    $data = json_decode($response, true);
    if (isset($data['token'])) {
        return $data['token'];
    } else {
        throw new Exception("Unable to get token. Response: " . $response);
    }
}

// Function to fetch data using the Bearer Token
function fetchData($url, $token) {
    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        "Authorization: Bearer $token"
    ]);

    $response = curl_exec($ch);
    curl_close($ch);

    return json_decode($response, true);
}


// Define the URL and credentials for the token request
$tokenUrl = "http://adentrn.worksafeonline.co.uk/api/Token";
$credentials = [
    'username' => 'support.sss', // Replace with actual username
    'password' => 'simplesoft21'  // Replace with actual password
];

try {

$token = getBearerToken($tokenUrl, $credentials);

// get depot list
// Define the URL for the data request
$dataUrlCustomersDetails = "http://adentrn.worksafeonline.co.uk/api/ContractList";

$dataCustomersDetails = fetchData($dataUrlCustomersDetails, $token);

// Filter the CustomerContract array to only include matched customers
$filteredData = array_filter($dataCustomersDetails['CustomerContract'], function($contract) use ($customerID) {
    return $contract['Customer'] === $customerID;
});

// Return the filtered data as a JSON response
echo json_encode(["status" => true, "CustomerContract" => array_values($filteredData)]);

// echo json_encode($dataCustomersDetails);

} catch (Exception $e) {
    die($e->getMessage());
}


?>